$parent: 'button';

@include block($parent) {
  transition: 0.3s color, 0.3s background-color, 0.3s border-color;
  color: var(--button-color, var(--color-white-100));
  background-color: var(--button-bg, var(--color-blue-900));
  border: 1px solid var(--button-border, transparent);
  border-radius: rem(6);
  display: flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  min-width: rem(250);
  height: rem(45);
  padding: 0 rem(16);

  &:disabled {
    cursor: default;
    background-color: var(--button-bg-disabled, var(--color-blue-300));
    border-color: var(--button-border-disabled, transparent);
  }

  &:focus {
    outline: 3px solid var(--button-outline, var(--color-blue-200));
    border-color: var(--button-border-focus, transparent);
  }

  @media(hover: hover) {
    &:not(:disabled):hover {
      color: var(--button-color-hover, var(--color-white-100));
      border-color: var(--button-border-hover, transparent);
      background-color: var(--button-bg-hover, var(--color-blue-1100));
    }
  }

  @include min-media('t') {
    height: rem(52);
    padding: 0 rem(20);
  }

  @include modifier($parent, 'white') {
    --button-color: var(--color-blue-1200);
    --button-color-hover: var(--color-blue-1200);
    --button-bg: var(--color-white-100);
    --button-bg-hover: var(--color-blue-100);
  }

  @include modifier($parent, 'white-bordered') {
    --button-color: var(--color-blue-900);
    --button-color-hover: var(--color-white-100);
    --button-bg: var(--color-white-100);
    --button-bg-hover: var(--color-blue-900);
    --button-border: var(--color-blue-900);
  }

  @include modifier($parent, 'rounded') {
    border-radius: rem(32);
  }
}
